org.apache.cassandra.cql3.statements

## Interface Restriction

All Known Subinterfaces:
  MultiColumnRestriction, MultiColumnRestriction.IN, Restriction.EQ, Restriction.IN, Restriction.Slice

All Known Implementing Classes:
  MultiColumnRestriction.EQ, MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues, MultiColumnRestriction.Slice, SingleColumnRestriction, SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice

    public interface Restriction

A restriction/clause on a column. The goal of this class being to group all conditions for a column in a SELECT.

### Nested Class Summary

Nested Classes
`static interface` `Restriction.EQ`
`static interface` `Restriction.IN`
`static interface` `Restriction.Slice`

### Method Summary

Methods
`boolean` `isContains()`
`boolean` `isEQ()`
`boolean` `isIN()`
`boolean` `isMultiColumn()`
`boolean` `isOnToken()`
`boolean` `isSlice()`
`java.util.List<java.nio.ByteBuffer>` `values(QueryOptions options)`

### Method Detail

#### isOnToken

    boolean isOnToken()

#### isSlice

    boolean isSlice()

#### isEQ

    boolean isEQ()

#### isIN

    boolean isIN()

#### isContains

    boolean isContains()

#### isMultiColumn

    boolean isMultiColumn()

#### values

    java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                               throws InvalidRequestException

Throws:
  `InvalidRequestException`